import{s as te,n as ie,o as oe}from"../chunks/scheduler.b108d059.js";import{S as ae,i as ne,g as s,s as a,r as j,A as se,h as l,f as i,c as n,j as Z,u as q,x as p,k as ee,y as le,a as o,v as F,d as I,t as N,w as O}from"../chunks/index.008de539.js";import{H as R}from"../chunks/Heading.88bfeb84.js";function re(V){let r,$,T,C,c,x,u,B="Creating a competition is super easy and you have full control over the data, evaluation metric and the hardware used.",k,m,D=`To create a competition, you need to have a <a href="https://huggingface.co" rel="nofollow">Hugging Face</a> account. You will also need a write token which will be used throughout the competition to upload data and submissions.
Please note that the write token is private and should not be shared with anyone and must not be refreshed during the course of the competition.
In case you decide to refresh the token, you will need to update the token in the competition space’s settings otherwise the competitors will not be able to upload submissions and competition will stop working.
You can find/generate a write token <a href="https://huggingface.co/settings/tokens" rel="nofollow">here</a>.`,P,h,G=`To create a competition, you also need an organization. You can either create a new organization or use an existing one that you are already a member of.
You can create a new organization <a href="https://huggingface.co/organizations/new" rel="nofollow">here</a>.`,H,f,J=`Please make sure you attach a payment method to your organization. You can do so in organization settings.
NOTE: your payment method will not be charged if you are using the free tier of the platform (generic competitions hosted on CPU).`,L,d,K='To create a competition, click <a href="https://huggingface.co/spaces/competitions/create" rel="nofollow">here</a>.',M,g,z,v,Q='<img src="https://github.com/abhishekkrthakur/public_images/blob/main/competition_creator.png?raw=true" alt="competition"/>',Y,w,W=`Please note: you will be able to change almost every setting later on. However, we dont recommend changing evaluation metric once the competition has started.
As it will require you to re-evaluate all the submissions.`,E,y,S,b,X=`<li><p>generic: generic competitions are competitions where the participants submit a CSV file (or any other file) containing the predictions for the whole test set.
The predictions are then evaluated against solution.csv (or a solution file) using the evaluation metric provided by the competition creator.
These competitions are easy to setup and free to host (if you use cpu-basic). You can improve the evaluation runtime by upgrading generic competitions to cpu-upgrade.
For generic competition, all the test data (without labels) is available to the participants all the time.</p></li> <li><p>script: script competitions are competitions where the participants submit a python script that takes in the test set and outputs the predictions.
The predictions are then evaluated against solution.csv (or a solution file) using the evaluation metric provided by the competition creator.
These competitions are only free to host if you use cpu-basic as the backend for evaluation, and this is not recommended!
In script competition, the test data can be kept private. The participants wont be able to see the test data at all.
The participants submit a huggingface model repo containing <code>script.py</code> which is run to generate predictions on hidden test data.</p></li>`,A,_,U;return c=new R({props:{title:"Create a competition",local:"create-a-competition",headingTag:"h1"}}),g=new R({props:{title:"Competition creator",local:"competition-creator",headingTag:"h3"}}),y=new R({props:{title:"Types of competitions",local:"types-of-competitions",headingTag:"h3"}}),{c(){r=s("meta"),$=a(),T=s("p"),C=a(),j(c.$$.fragment),x=a(),u=s("p"),u.textContent=B,k=a(),m=s("p"),m.innerHTML=D,P=a(),h=s("p"),h.innerHTML=G,H=a(),f=s("p"),f.textContent=J,L=a(),d=s("p"),d.innerHTML=K,M=a(),j(g.$$.fragment),z=a(),v=s("p"),v.innerHTML=Q,Y=a(),w=s("p"),w.textContent=W,E=a(),j(y.$$.fragment),S=a(),b=s("ul"),b.innerHTML=X,A=a(),_=s("p"),this.h()},l(e){const t=se("svelte-u9bgzb",document.head);r=l(t,"META",{name:!0,content:!0}),t.forEach(i),$=n(e),T=l(e,"P",{}),Z(T).forEach(i),C=n(e),q(c.$$.fragment,e),x=n(e),u=l(e,"P",{"data-svelte-h":!0}),p(u)!=="svelte-1ludfky"&&(u.textContent=B),k=n(e),m=l(e,"P",{"data-svelte-h":!0}),p(m)!=="svelte-8grhnz"&&(m.innerHTML=D),P=n(e),h=l(e,"P",{"data-svelte-h":!0}),p(h)!=="svelte-6i0beo"&&(h.innerHTML=G),H=n(e),f=l(e,"P",{"data-svelte-h":!0}),p(f)!=="svelte-joow21"&&(f.textContent=J),L=n(e),d=l(e,"P",{"data-svelte-h":!0}),p(d)!=="svelte-1i8lt2l"&&(d.innerHTML=K),M=n(e),q(g.$$.fragment,e),z=n(e),v=l(e,"P",{"data-svelte-h":!0}),p(v)!=="svelte-m5l0gh"&&(v.innerHTML=Q),Y=n(e),w=l(e,"P",{"data-svelte-h":!0}),p(w)!=="svelte-tvgmvn"&&(w.textContent=W),E=n(e),q(y.$$.fragment,e),S=n(e),b=l(e,"UL",{"data-svelte-h":!0}),p(b)!=="svelte-lvgk62"&&(b.innerHTML=X),A=n(e),_=l(e,"P",{}),Z(_).forEach(i),this.h()},h(){ee(r,"name","hf:doc:metadata"),ee(r,"content",pe)},m(e,t){le(document.head,r),o(e,$,t),o(e,T,t),o(e,C,t),F(c,e,t),o(e,x,t),o(e,u,t),o(e,k,t),o(e,m,t),o(e,P,t),o(e,h,t),o(e,H,t),o(e,f,t),o(e,L,t),o(e,d,t),o(e,M,t),F(g,e,t),o(e,z,t),o(e,v,t),o(e,Y,t),o(e,w,t),o(e,E,t),F(y,e,t),o(e,S,t),o(e,b,t),o(e,A,t),o(e,_,t),U=!0},p:ie,i(e){U||(I(c.$$.fragment,e),I(g.$$.fragment,e),I(y.$$.fragment,e),U=!0)},o(e){N(c.$$.fragment,e),N(g.$$.fragment,e),N(y.$$.fragment,e),U=!1},d(e){e&&(i($),i(T),i(C),i(x),i(u),i(k),i(m),i(P),i(h),i(H),i(f),i(L),i(d),i(M),i(z),i(v),i(Y),i(w),i(E),i(S),i(b),i(A),i(_)),i(r),O(c,e),O(g,e),O(y,e)}}}const pe='{"title":"Create a competition","local":"create-a-competition","sections":[{"title":"Competition creator","local":"competition-creator","sections":[],"depth":3},{"title":"Types of competitions","local":"types-of-competitions","sections":[],"depth":3}],"depth":1}';function ce(V){return oe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class fe extends ae{constructor(r){super(),ne(this,r,ce,re,te,{})}}export{fe as component};
